#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

COLLECT_APPLIANCE_TYPE=/opt/DDR/Definitions/DDR_Scripts/Collect_ApplianceType.sh
COLLECT_KERNEL_VERSION=/opt/DDR/Definitions/DDR_Scripts/Collect_KernelVersion.sh
COLLECT_FILE_EXISTS=/opt/DDR/Definitions/DDR_Scripts/Collect_FileExists.sh
ECHO=/bin/echo

#parameter received is 'file_name'
parseArgs "$@"


appliance_type="`$ECHO $COLLECT_APPLIANCE_TYPE`"
kernel_version="`$ECHO $COLLECT_KERNEL_VERSION`"
file_exists="`$ECHO $COLLECT_FILE_EXISTS file_name=$file_name`"

$ECHO "`$appliance_type` `$kernel_version` `$file_exists`"
