#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
SED=/bin/sed

#parameters received are 'bundle_name' and 'min_take' and 'max_take'
parseArgs "$@"
#set default to 'not found'
bundle_found="0"
bundle=""
version=""

bundle=`$CPPROD_UTIL CPPROD_GetHotFixes CPUpdates 0 | grep -vE "AUTOUPDATE" | $SED 'H;1h;$!d;x;y/\n/,/'`
take=`$CPPROD_UTIL CPPROD_GetValue "CPUpdates"//6.0//$bundle SU_Build_Take 0`
#cpprod_util CPPROD_GetValue CPshared//6.0 CurrentLabel 0

if [ $? -eq 0 ]
then
        bundle_found="1"
fi

version=`$CPPROD_UTIL CPPROD_GetValue "CPshared"//6.0 VersionText 0`

$ECHO "bundle_found=\"$bundle_found\" bundle=\"$bundle\" take=\"$take\" branch_version=\"$version\""
exit 0
