#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects previous take number

ECHO=/bin/echo
GREP=/bin/grep
CPPROD_UTIL=/opt/CPshrd-R81.10/bin/cpprod_util
SED=/usr/bin/sed

#parameters received are 'roles' - the permitted machine roles - and 'machineRole'
parseArgs "$@"

take_on_machine=`$CPPROD_UTIL CPPROD_GetValue "$module"//6.0//HOTFIX_$branch RollbackPackage 0 | $SED 's/\//\n/g' | $GREP -o $take`
branch_on_machine=`$CPPROD_UTIL CPPROD_GetValue "$module"//6.0//HOTFIX_$branch RollbackPackage 0 | $SED 's/\//\n/g' | $GREP BUNDLE | $GREP -o $BUNDLE_$branch`


$ECHO "take_on_machine='$take_on_machine' branch_on_machine='$branch_on_machine'"

exit 0
