#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
SED=/bin/sed

#set default to 'not found'
bundle_found="0"


curVersion=`$CPPROD_UTIL CPPROD_GetCurrentVersion cpshared | $SED 's/\s//g'`


take_number_no_addition=`$CPPROD_UTIL CPPROD_GetValue CPUpdates//$curVersion//BUNDLE_R80_30_JUMBO_HF_MAIN SU_Build_Take 0`
take_number_2_6_addition=`$CPPROD_UTIL CPPROD_GetValue CPUpdates//$curVersion//BUNDLE_R80_30_JUMBO_HF_MAIN_2_6_GW SU_Build_Take 0`
take_number_3_10_GW_addition=`$CPPROD_UTIL CPPROD_GetValue CPUpdates//$curVersion//BUNDLE_R80_30_JUMBO_HF_MAIN_3_10_GW SU_Build_Take 0`
take_number_3_10_Mgmt_addition=`$CPPROD_UTIL CPPROD_GetValue CPUpdates//$curVersion//BUNDLE_R80_30_JUMBO_HF_MAIN_3_10_Mgmt SU_Build_Take 0`
if [ "X$take_number_no_addition" = "X50" -o "X$take_number_2_6_addition" = "X50" -o "X$take_number_3_10_GW_addition" = "X50" -o "X$take_number_3_10_Mgmt_addition" = "X50" ]
then
        bundle_found="1"
fi

$ECHO "bundle_found=\"$bundle_found\""
exit 0