#!/bin/bash
. `dirname $0`"/DDR_shared_functions"



#script verifies machine role for cloud machine 
#parameters received:
# 1) 'template_names_list', user defined list seperated by commas in conditions set of permitted template_names 


rv=1

#parameters received are 'template_names_list' and template_name from collect 
parseArgs "$@"

RESULT="Machine role is not allowed"

if [ "X$template_name" = "X" ]; then
	rv=1
	RESULT="Machine role was not found "
else 
    IFS=','
    for template in $template_names_list
    do
        if [ "$template" = "$template_name" ]; then
            rv=0
            RESULT="Machine role is allowed"
            break 
        fi

    done
fi
endCheck $rv "$RESULT"