#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#parameters received:
# 1.'DeploymentType' String - Deployment type of NSX-T GW as received from the collector

rootCloudFilesPath=/tmp
cloudFile="OVF.xml"

#return value default value is 0
rv=1
message=""

parseArgs "$@"

if [ -f ${rootCloudFilesPath}/$cloudFile ]
then
	if [ "X$DeploymentType" == "Xnsx_eastwest_native" ]
	then
		message="Machine is NSX-T EW GW"
		rv=0
	else
		message="Machine is not NSX-T EW GW"
	fi
else
	message="Machine is not NSX-T EW GW"
fi


endCheck $rv "$message"

