#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script returns success or failure based on the collection of the task in cpd_sched
#parameters received:
# 1) 'task_name', checked task
# 2) 'task_found', received from the collect whether the task is found in cpd_sched or not

ECHO=/bin/echo
rv=0

#parameters received are 'task_name' and 'task_found'
parseArgs "$@"

if [ "X$task_found" = "X0" ]
then
        rv=1
		MESSAGE="Task '$task_name' is not registered in cpd_sched"
else
		MESSAGE="Task '$task_name' is registered in cpd_sched"
fi

endCheck $rv "$MESSAGE"