#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script reports what collect found regarding a string's existence in a file
#parameters received:
# 1) 'file_name', user defined file name in conditions set
# 2) 'text' string searched for in file
# 3) 'text_found' received from collect
# 4) 'file_found' received from collect

ECHO=/bin/echo
rv=0

#parameters received are 'file_name', 'text', 'file_found', and 'text_found'
parseArgs "$@"

if [ "X$file_found" = "X0" ]
then
        rv=1
		$ECHO "The string '$text' does not appear in file '$file_name' - file does not exist"
elif [ "X$text_found" = "X0" ]
then
		rv=1
		$ECHO "The string '$text' does not appear in file '$file_name'"
else
		$ECHO "The string '$text' appears in file '$file_name'"
fi

exit $rv