#!/bin/bash
#. `dirname $0`"/DDR_shared_functions"

#script collects whether action source is CDT and used CDT version is 1.9.6 and below

ECHO=/bin/echo
CAT=/bin/cat
GREP=/bin/grep
SED=/bin/sed
DA_ACTIONS=/opt/CPInstLog/DA_Actions.xml
CDT_VERSION=/var/log/CDT_VERSION
OUTPUT="action source is not CDT"

uncompletedActions=($($SED -n '/<uncompleted>/,/<\/uncompleted>'/p $DA_ACTIONS | $GREP 'src=\"CDT\"'))

if [ -z "$uncompletedActions" ]
then
	OUTPUT="action source is not CDT"
else
	if [ -f "$CDT_VERSION" ]; then
		OUTPUT="$CDT_VERSION exists."
	else
		OUTPUT="$CDT_VERSION not exists."
	fi
fi

$ECHO "OUTPUT='$OUTPUT'"
exit 0
