#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo
LS=/bin/ls
DBGET=/bin/dbget

jumbo_package_name=""
instaledViaBlink=0
parseArgs "$@"

#if package was installed with blink blink_config file must be in /usr/bin location
if [ -f /usr/bin/blink_config ]
then
	instaledViaBlink=1
else
	instaledViaBlink=0
fi

#if package type was blink with jumbo the included jumbo must be bloked for uninstall
jumboInstalledWithBlink=`$DBGET installer:packages:$jumbo_package_name:block_uninstall`
if [ "X$jumboInstalledWithBlink" != "X1" ]
then
	jumboInstalledWithBlink=0
fi

echo "instaled_via_blink=$instaledViaBlink jumbo_was_included=$jumboInstalledWithBlink"
exit 0
