#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

CLOUD_VERSION=/etc/cloud-version
#parameters received are 'min_build' and 'max_build'
GREP=/bin/grep
AWK=/bin/awk
ECHO=/bin/echo
#set default to 'not found'
image_build_number="0"


if [ -f "$CLOUD_VERSION" ]; then 
   image_build_number=$($GREP -m 1 "build:" "$CLOUD_VERSION" | $AWK '{print $2}') 
fi

$ECHO "image_build_number=$image_build_number"
exit 0