#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

GREP=/bin/grep
ECHO=/bin/echo
LSPCI=/sbin/lspci

#Check if card Intel Corporation 82598EB 10-Gigabit AF Dual Port Network Connection is inserted

( $LSPCI -vvnn && $LSPCI ) | $GREP -q "Intel Corporation 82598EB 10-Gigabit AF Dual Port Network Connection"
if [ $? -eq 0 ] ; then
    $ECHO "card_82598EB_found"
else
    $ECHO "card_82598EB_not_found"
fi

exit 0
