#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util

#set defaults 
waap_installed="0"

SCRIPT_NAME=${0##*/}
LOG_FILE_NAME=/opt/CPInstLog/$SCRIPT_NAME.log

exec 2>> $LOG_FILE_NAME

$ECHO "Starting $SCRIPT_NAME" > $LOG_FILE_NAME

# check Waap is installed
$CPPROD_UTIL CPPROD_IsConfigured CPwaap | grep 1 > /dev/null 2>&1 && waap_installed="1"

RESULT="waap_installed=\"$waap_installed\""

$ECHO $RESULT
$ECHO $RESULT >> $LOG_FILE_NAME

$ECHO "Finished  $SCRIPT_NAME successfully." >> $LOG_FILE_NAME

exit 0