#!/bin/bash
ECHO=/bin/echo
LSPCI=/sbin/lspci
. `dirname $0`"/DDR_shared_functions"

if [ "X$3" == "XMellanox_card_found"  ]; then
  # Since the collect script found a Mellanox card,
  # we now verify if this is one of the cards we're looking
  # for in the conditions_set_xxx.json script.

  parseArgs "$@"
  IFS=','
  for type in $card_types
  do
    card_exist=`$LSPCI | grep "$type"`
    if [ $? == 0 ]
    then
      endCheck 1 "$message"
    fi
  done
fi

# If there was no Mellanox card found OR if there *was* one found
# but it's not the model specified in conditions_set_xxx.json,
# then don't print any message.
exit 0
