#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

RESULT=""
rv=0

# parameters received from collect are: 
# 'is_SP' - 1 if true 
# 'sgm1_missing' - GW: check on all sites of the current SG
#                  MHO: check on all sites of all SGs  
# 'indication_file_exist' - 1 if the file exist, in that case no need to block the command. 

parseArgs "$@"

if [ "$is_SP" = "0" ]; then
	rv=0
	RESULT="This device is not a Scalable Platform Gateway"
else
	if [ "$sgm1_missing" = "0" ]; then
		rv=0
		RESULT="Member 1 exists in the security group"
	elif [ "$indication_file_exist" = "1" ]; then 
		rv=0
		RESULT="Indication file /tmp/disable_weights_fix exists"
	else
		rv=1
		RESULT="Member id 1 is missing from the security group"
	fi
fi

endCheck $rv "$RESULT"