#!/bin/sh

if [ $1 ]; then
	echo "Got Param $1"
else
	exit
fi
newpartition=$1
if [ -r $newpartition ]; then
	echo $newpartition "Found"

	CP_EXTENSIONS_UID=8086
	CP_EXTENSIONS_USERNAME="cp_extensions"
	CP_EXTENSIONS_HOMEDIR="/home/cp_extensions"
	CP_EXTENSIONS_SHELL="/bin/sh"
	CP_EXTENSIONS_GID=1
	CP_EXTENSIONS_REALNAME="\"CP Extensions\""
	CP_EXTSG_GID=8086
	CP_EXTSG_GROUPNAME="cpextsg"

	# Creating user cp_extensions and group cpextsg with default values in the new partition
	chroot $newpartition /bin/bash --verbose  -c "userdel $CP_EXTENSIONS_USERNAME ; useradd -u $CP_EXTENSIONS_UID -g $CP_EXTENSIONS_GID -d $CP_EXTENSIONS_HOMEDIR -s $CP_EXTENSIONS_SHELL -c $CP_EXTENSIONS_REALNAME -p \"*\" $CP_EXTENSIONS_USERNAME"
	chroot $newpartition /bin/bash --verbose  -c "groupdel $CP_EXTSG_GROUPNAME ; groupadd -g $CP_EXTSG_GID $CP_EXTSG_GROUPNAME"

else
	echo $newpartition "Not Found"
fi

echo "end of create_cpextensions_user.sh"
