#!/bin/sh

if [ $1 ]; then
	echo "Got Params: $@"
else
exit
fi

if [ -r $1 ]; then
	echo "Found $1"

IS_GW=$($CPDIR/bin/cpprod_util FwIsFirewallModule)
IS_MGMT=$($CPDIR/bin/cpprod_util FwIsFirewallMgmt)

if [ $IS_MGMT -eq 1 ] && [ $IS_GW -eq 1 ]; then
	echo "SA"
	# this is done in order to fix a problem upgrading SA machine to hugo CR02084590
	chroot $1 /bin/bash --verbose  -c "cat /etc/cp-release;chmod +x /opt/CPshared/5.0/tmp/.CPprofile.sh;. /opt/CPshared/5.0/tmp/.CPprofile.sh; export NGM_DATABASE_PORT=5431; $2; touch /etc/.wizard_accepted"
else
	echo "not SA"
	chroot $1 /bin/bash --verbose  -c "cat /etc/cp-release;chmod +x /opt/CPshared/5.0/tmp/.CPprofile.sh;. /opt/CPshared/5.0/tmp/.CPprofile.sh ;  $2; touch /etc/.wizard_accepted"
fi

else
	echo "Not Found $1"
fi

